Bug 29483 - [Qt] QWebFrame::setTextSizeMultiplier reduce too much svg files
Summary: [Qt] QWebFrame::setTextSizeMultiplier reduce too much svg files
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: QtWebKit Unassigned
URL:
Keywords: Qt
Depends on:
Blocks:
 
Reported: 2009-09-18 08:45 PDT by Tor Arne Vestbø
Modified: 2010-03-10 05:15 PST (History)
1 user (show)

See Also:


Attachments
Test case (from original bug) (901 bytes, application/octet-stream)
2010-01-18 01:38 PST, Jocelyn Turcotte
no flags Details
Screenshot - default 1.0 ratio compared to setTextSizeMultiplier(0.5) (81.13 KB, image/png)
2010-01-18 01:39 PST, Jocelyn Turcotte
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tor Arne Vestbø 2009-09-18 08:45:29 PDT
This bug report originated from issue QTBUG-2492
http://bugreports.qt.nokia.com/browse/QTBUG-2492

--- Description ---

When a svg file is opened in a QWebView, using  setTextSizeMultiplier reduce twice as much as it should
Comment 1 Jocelyn Turcotte 2010-01-18 01:38:57 PST
Created attachment 46802 [details]
Test case (from original bug)
Comment 2 Jocelyn Turcotte 2010-01-18 01:39:28 PST
Created attachment 46804 [details]
Screenshot - default 1.0 ratio compared to setTextSizeMultiplier(0.5)
Comment 3 Jocelyn Turcotte 2010-03-10 05:15:43 PST
I am able to reproduce it in 4.5.3 as on the screenshot.

If I try in trunk the svg file is not scaled with setTextSizeMultiplier() and is scaled correctly when using setZoomFactor().

Resolving as fixed